mysqli::$server_info
mysqli::get_warnings
mysqli
PHP Manual

# mysqli::$server_version

# mysqli_get_server_version

Returns the version of the MySQL server as an integer

### Description

Object oriented style

int$mysqli->server_version;

Procedural style

int mysqli_get_server_version ( mysqli `$link` )

The mysqli_get_server_version function returns the version of the server connected to (represented by the `link` parameter) as an integer.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect or mysqli_init

### Return Values

An integer representing the server version.

The form of this version number is main_version * 10000 + minor_version * 100 + sub_version (i.e. version 4.1.0 is 40100).

### Examples

Example #1 $mysqli->server_version example

Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print server version */
printf("Server version: %d\n", $mysqli->server_version);
/* close connection */
$mysqli->close();
?>`

Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print server version */
printf("Server version: %d\n", mysqli_get_server_version($link));
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Server version: 40102

### See Also

- mysqli_get_client_info
- mysqli_get_client_version
- mysqli_get_server_info